# Shop Application

## Modules
## import Module
import Cart, TemplateParts  # Pythonic
# import TemplateParts

## Namespace
## import Module as namespace  
### import Cart as ct 

## Objects
## from Module import Object as namespace
## from Module import function It STILL loads the whole Module but reduce the allocated memory space
### from Cart import contactInfo

# Main Application  try/except/finally

try: # running application throws Class

    TemplateParts.headerMenu()

    # Show the contact information
    Cart.contactInfo()

    # Show the billing information
    zipcode = 32765
    Cart.billingInfo(zipcode)

    # Order Total
    try:
        # Connect to the database to get the tax info
        # connect: 12.12.52.63
        # dbName: taxDB
        # dbUsername: admin
        # db pw: 1234
        # SQL server is down?
        Cart.cartTotal() #  10 st .07 assert print()  10.07
    except Exception as err:
        print(err)
    finally:
        print("Can not calculate totals at this time.")

except Exception as appErr:
    print(appErr)

finally:
    # Finally
    # close all data connections
    # clear out memory
    TemplateParts.footer()

