# Chapter 11 DateTime

from datetime import datetime
#from datetime import date
#from datetime import time

# Format Existing Int
# Birthday
#birthday = input("Enter Your Birthday: ")  # string
b_month = int(input("Enter month:"))
b_day = int(input("Enter day:"))
b_year = int(input("Enter year:"))

# save the int input as datetime class format
# string  "12/03/1987"
# DateTime  1987-12-03 00:00:00.000000 UTC-0
storeBirthdayAsTimeStamp = datetime(b_year, b_month, b_day) # 00:00:00
print(storeBirthdayAsTimeStamp)
storeBirthdayAsString = str(b_month) + "/" + str(b_day) + "/" + str(b_year)
print(storeBirthdayAsString)

# save the system date time using now()
currentDate = datetime.now()
print(currentDate)  # class format 1987-12-03 00:00:00.000000 UTC-0

# String format from class format page 307/page 309 Python 
long_currentDate = currentDate.strftime("%A %B %d, %Y")
print(long_currentDate)
currentDate_year = currentDate.strftime("%Y")  #2023 Parse
print("String Format", currentDate_year)

# getter to get the value of the Year
currentYear = datetime.now().year  # 2023
print("Value of year:", currentYear)

# Time Spans
christmas = datetime(2023,12,25)
span_till_christmas = christmas - currentDate #datetime class format
print(span_till_christmas) # 37 9:10:42.00000
numberOfDays = span_till_christmas.days # 37 days
print("Days till christmas: ", numberOfDays, "days")
# Pythonic
numberOfDaysPythonic = (christmas - datetime.now()).days #timedelta
print(numberOfDaysPythonic, " days")

# span today and 4 weeks ago
from datetime import timedelta
four_weeks = timedelta(weeks=4)
four_weeks_ago = currentDate - four_weeks
print(four_weeks_ago)