# Chapter 6 Examples 
# Lists []
contacts = ["Bob","Joe","Mary"]

# Python
for contact in contacts:
    print("For statement")
    print(contact)  # print the local variable in the scope
    print("====EOFS=====")

# Access an element of the list
print("Access index 1: " + contacts[1]) # Joe

# Update Joe to Joseph
contacts[1] = "Joseph"
print("Updated index 1: " + contacts[1])   # Joseph

# Print the list
print("Contacts as list: ", contacts) 

# Prompt the user to add a NEW contact to the contacts list
new_contact = input("Enter a new contact: ") # data type string

# add the user to the list using the append() ALWAYS adds to the end
contacts.append(new_contact)
print("Contacts as list: ", contacts) 

# Pythonic
for index, value in enumerate(contacts):
    print("ID: ", index, "Name: ", value)

# Remove a contact  remove() function
contacts.remove("Mary")

# Print the list
print("Contacts as list: ", contacts) 

# Pythonic
for index, value in enumerate(contacts): # built in core function page 171
    print("ID: ", index, "Name: ", value)

