# Chapter 9
# Math
import math # Standard

# Ask the user for a number
n = int(input("Enter a number: "))

# Square
s = math.sqrt(n)
print(s)

# Pi variable
pi = math.pi
print(pi)

# ceil up to int and floor goes down
c1 = 8.7
ceilC1 = math.ceil(c1)   # 8.7 > 9
print(ceilC1)  # 9

f1 = 1.8
floorF1 = math.floor(f1)  # 1.8 > 1
print(floorF1)  # 1

# format()
# 90%
perc1 = .90

p1 = str(.90 * 100) # 90
p2 = p1 + "%"
print("No format()", p2)  # 90%

# page 261
print("{:.0%}".format(perc1)) # 90%
print("{:.1%}".format(perc1)) # 90.0%

# scientific notation  e+
num = 5214.54872563
print("{:.4e}".format(num)) # 5214.5487e+03

# Width alignment col1 15 col2 5 col3 5
header1 = "Description"  #header[0] in the csv file
print("{:15} {:>10} {:>10}".format(header1, "Price", "Qty")) # header
print("{:15} {:10.2f} {:10d}".format("Shoes", 52.5, 5)) # data 1 
print("{:15} {:10.2f} {:10d}".format("Hat", 2.10, 4)) #data 2

# locale page 262
import locale as lc  # import module as namespace
# set the locale setting languagecode_COUNTRYCODE  en_US
env1 = lc.setlocale(lc.LC_ALL, "")
user1 = "C"  # set somewhere else

websiteSetting = "en_US" # Property or Env or Website or Program

if env1 == user1:
    lc.setlocale(lc.LC_ALL, websiteSetting)
else:
    print("You do not have a default country code. Your env will be set to english us")
    lc.setlocale(lc.LC_ALL, "en_US")

price = 52.25

print("Price: ", lc.currency(price, grouping=True)) # True is the default





