# modules
from flask import Flask, request, render_template_string

app = Flask(__name__)

@app.route('/')  #google.com/
def form():
    return render_template_string('''
    <form method="post" action="/submit">
    <input type="text" name="fname" />
    <button type="submit" /> 
    ''')

# page .com/submit
@app.route('/submit', methods=['POST'])  #google.com/
def submit():
    input_text = request.form['fname']
    return f"You entered name: {input_text}."

if __name__ == "__main__":
    app.run(debug=True)